Translating by l3b2w1
Linux Desktop In The Enterprise: Ubuntu Vs. Windows
================================================================================
The "year of the Linux desktop" has been prophesied by Linux supporters almost every year for the last decade. This was once a lofty goal in the Microsoft-dominated enterprise, but times are changing. Linux has grown into a formidable competitor in the smartphone and cloud computing markets, which has caught Microsoft off guard. More importantly, Google, IBM, Red Hat, Facebook, and Netflix have made huge investments into Linux innovations.

Now, with shrinking technology budgets and rising Microsoft licensing fees, it's time for IT to seriously consider desktop Linux deployment as an alternative to Windows. The timing for this couldn't be better: Windows 8.1 was just released, as was the latest version of Ubuntu, 13.10. Windows XP has just five months of support left, so companies need to make the switch to something new. Ubuntu may just have what companies need to support their desktop OS needs. I'll look at various considerations for making the Linux desktop switch, including training and support, as well as potential complications. 

I know that Ubuntu has lost some of the favor it once enjoyed in the open source community. Canonical, the creators of Ubuntu, have made some unpopular choices, including changing the display manager -- the base component of the graphical interface in Linux-- to the internally developed Mir instead of Wayland. However, Ubuntu remains completely open source and offers the most painless install of any Linux distribution or even Windows version, for that matter. Canonical also offers paid support, which may be needed in enterprise environments.

There has always been the argument that end users will need retraining if they switch over to a new desktop interface. Microsoft's controversial decision to overhaul the familiar interface for Windows 8.1 now requires just as much training as switching to Linux. Ubuntu's Unity desktop has evolved into a user friendly interface that is arguably more easily understood by end users than Windows 8.1.

For example, compare how a user shuts down the system in each operating system. In all recent versions of Ubuntu, it starts with one click in the right corner of the screen, where the symbol for on-off is located. A menu drops down and one more click shuts down the machine. Windows 8.1 requires a right-click on the Start button, where a menu drops down allowing for a shutdown. This was a vast improvement over Windows 8, which required a trip to the charms bar, but still not as obvious as an icon located directly on the screen.

End-user training for applications is a less complex task nowadays, thanks to the Windows versions of many popular open source applications. Users may already be familiar with Firefox, LibreOffice, Pidgin, and VLC Media Player on Windows. Commercial applications used in business, such as Skype and Adobe Acrobat, function just like their Windows equivalents. Cloud-based applications such as Google Drive or Microsoft Office 365 work well on Ubuntu.

Legacy Windows applications can be accessed through the familiar Citrix client or open source RDP clients. Companies also can use open source virtualization products such as VirtualBox to run the most stubborn legacy Windows applications. 

On the support front, many technicians will remember the earlier days of Linux when hardware support was extremely limited. That simply is not the case anymore.

Linux hardware support is oftentimes better than the latest versions of Windows. Many hardware vendors have been dropping driver support for newer versions of Windows. The open source drivers in Linux can be kept up to date by anyone in the developer community, so a lot of older hardware is fully supported in the latest versions of Ubuntu. This fact, plus Ubuntu's lower system requirements, will allow companies to extend the life of hardware once destined for the recycling bin.

While there are upsides to a Linux desktop replacement program, there are some potential difficulties companies should consider. While many technicians have already been using Linux or will be motivated by the prospect of learning new skills, there also will be technicians who have spent a lot of time developing a comfort level managing Windows and may be reluctant to embrace the change.

Citing salary trends is one way to address this potential issue. The salaries of positions with Linux skills requirements are rising at nearly double the rate of other technical professionals, according to Dice.

Companies under stringent compliance requirements may have difficulties switching over to Linux. For example, HIPAA requires encryption that meets FIPS-140-2 requirements. Most open source encryption projects do not have sponsors to get them through the NIST certification to meet this requirement. Open source may actually be more secure than proprietary software because of the number of people that have reviewed the source code, but surprisingly that doesn't matter in the world of compliance.

Businesses need to understand their compliance requirements and develop a plan for training IT staff before deciding to move forward with a full conversion. But overall, Ubuntu Linux has matured into a viable alternative to proprietary operating systems in the enterprise. The effort companies put into a Linux desktop replacement program will be worth the savings in licensing fees. Next year may finally be the “year of the Linux desktop.”


> Joseph Granneman has more than 20 years of technology experience, primarily focused in health care information technology. He is CIO for Rockford Orthopedic Associates in Rockford, Ill., and an active independent author, presenter and professor in the health care information technology and information security fields. Granneman has been active in many standards groups, including developing the early frameworks for Health Information Exchange as part of the Health Information Security and Privacy Security Working Group for Illinois. He was also a volunteer for the Certification Commission for Health Information Technology (CCHIT) Security Working Group, which developed the information security standards for ARRA certification of electronic medical records. 

--------------------------------------------------------------------------------

via: http://www.networkcomputing.com/data-networking-management/linux-desktop-in-the-enterprise-ubuntu-v/240163564

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出