Making Linux More Accessible
================================================================================
A startling fact is that there are in excess of a billion people who have some type of disability. That represents approximately 15% of the world's population with a physical, sensory or mental limitation that interferes with their ability to move, see, hear or learn. 350 million people in the world are partially sighted or blind. The faster computer technology evolves, the more excluded these individuals would become without development in computer software that seeks to address their needs.

Accessibility is the degree to which products, devices, services, or environments are available to as many people as possible whatever their circumstances. Accessibility can be viewed as the ability to access and benefit from a system or entity. Accessibility is paramount. Social inclusion is not an act of charity but a fundamental human right.

We have witnessed Linux software and distributions that have made strides to help make everyone socially inclusive. For example, the GNOME Accessibility Project develops open source accessibility solutions for graphical user interfaces. Ubuntu has an Accessibility Team that aims to make Ubuntu usable by a broad a spectrum of people as possible. Special mention should also go to the Vinux Project, which is a Ubuntu derived distribution optimised for the needs of blind and partially sighted users.

There are also lots of individual software applications that offer different accessibility features. This article seeks to identify some of the finest open source software that is available that helps to enable individuals make full use of computer-based technology whatever their physical or sensory abilities.

So let's explore the 8 universal access tools at hand. For each application we have compiled its own portal page, a full description with an in-depth analysis of its features, a screenshot, together with links to relevant resources and reviews. 

### Universal Access ###

- [Easystroke][1] Gesture recognition program
- [Simon][2] 	Flexible speech recognition software
- [Orca Screen Reader][3] 	Scriptable screen reader
- [Julius][4] 	Two-pass large vocabulary continuous speech recognition engine
- [Florence Virtual Keyboard][5] 	Extensible scalable virtual keyboard
- [Caribou][6] 	Configurable on screen keyboard with scanning mode
- [Dasher][7] 	Graphical predictive text input system
- [xvkbd][8] 	Virtual (graphical) keyboard program

--------------------------------------------------------------------------------

via: http://www.linuxlinks.com/article/20131109042823957/UniversalAccess.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://sourceforge.net/apps/trac/easystroke/
[2]:http://simon-listens.org/
[3]:https://wiki.gnome.org/Orca
[4]:http://julius.sourceforge.jp/
[5]:http://florence.sourceforge.net/english.html
[6]:https://wiki.gnome.org/Caribou
[7]:http://www.inference.phy.cam.ac.uk/dasher/
[8]:http://homepage3.nifty.com/tsato/xvkbd/